      subroutine scaleset_HT(p,mu0)
c--- subroutine to calculate dynamic scale equal to
c--- partonic HT (i.e. scalar sum of particle pt's, whether or not they pass cuts)
      implicit none
      include 'constants.f'
      include 'npart.f'
      include 'process.f'

      integer j
      double precision p(mxpart,4),mu0,pt
      double precision HT3, HT4

      mu0=0d0
      do j=3,npart+2
      mu0=mu0+pt(j,p)
      enddo

      if (case .eq. 'tt_tot') then
        HT3=dsqrt(p(3,4)**2-p(3,3)**2)
        HT4=dsqrt(p(4,4)**2-p(4,3)**2)
        mu0=HT3+HT4
      endif

      return
      end
